classes

## Class SubNet

- java.lang.Object
- - classes.SubNet

    public class SubNet
    extends java.lang.Object

The class "subNet" represents ....

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`SubNet(java.util.ArrayList<HolonObject> objects, java.util.ArrayList<CpsEdge> edges, java.util.ArrayList<HolonSwitch> switches)` Constructor for a Subnet.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<CpsEdge>` `getEdges()` Return all Edges in the Subnet.
`java.util.ArrayList<HolonObject>` `getObjects()` Return all Objects in the Subnet.
`java.util.ArrayList<HolonSwitch>` `getSwitches()` Return all Switches in the Subnet.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubNet

    public SubNet(java.util.ArrayList<HolonObject> objects,
                  java.util.ArrayList<CpsEdge> edges,
                  java.util.ArrayList<HolonSwitch> switches)

Constructor for a Subnet.

Parameters:
  `objects` - Objects in the Subnet
  `edges` - Edges in the Subnet
  `switches` - Switches in the Subnet

### Method Detail

#### getObjects

    public java.util.ArrayList<HolonObject> getObjects()

Return all Objects in the Subnet.

Returns:
  all Objects in the Subnet

#### getEdges

    public java.util.ArrayList<CpsEdge> getEdges()

Return all Edges in the Subnet.

Returns:
  all Edges in the Subnet

#### getSwitches

    public java.util.ArrayList<HolonSwitch> getSwitches()

Return all Switches in the Subnet.

Returns:
  all Switches in the Subnet